> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Events

> Returns exam session event reports for the specified install.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/examSessionEvents
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/examSessionEvents:
    get:
      tags:
        - Reports
      summary: Session Events
      description: Returns exam session event reports for the specified install.
      operationId: getV1InstallsInstallsidReportsExamsessionevents
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: courseTitle
          in: query
          schema:
            type: string
            description: Course title
          description: Course title
        - name: examTitle
          in: query
          schema:
            type: string
            description: Exam title
          description: Exam title
        - name: studentFirstName
          in: query
          schema:
            type: string
            description: First Name of student
          description: First Name of student
        - name: studentLastName
          in: query
          schema:
            type: string
            description: Last Name of student
          description: Last Name of student
        - name: instructorFirstName
          in: query
          schema:
            type: string
            description: First Name of Instructor
          description: First Name of Instructor
        - name: instructorLastName
          in: query
          schema:
            type: string
            description: Last Name of Instructor
          description: Last Name of Instructor
        - name: eventTypeSid
          in: query
          schema:
            type: string
            description: Event Type Sid
            pattern: ^ET[a-f0-9]{32}$
          description: Event Type Sid
        - name: sessionEventStatus
          in: query
          schema:
            type: string
            description: Event status
          description: Event status
        - name: eventTimeRangeStart
          in: query
          schema:
            type: string
            description: Starting of event, must provide end date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Starting of event, must provide end date with it
        - name: eventTimeRangeEnd
          in: query
          schema:
            type: string
            description: Exam Close date, must provide open date with it
            example: '1970-01-01T00:00:00.000Z'
            pattern: .*Z
            x-format:
              isoDate: true
          description: Exam Close date, must provide open date with it
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course Offering Sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course Offering Sid
        - name: courseSid
          in: query
          schema:
            type: string
            description: Course Sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course Sid
        - name: examSid
          in: query
          schema:
            type: string
            description: Exam Sid
            pattern: ^EX[a-f0-9]{32}$
          description: Exam Sid
        - name: offset
          in: query
          schema:
            type: integer
            description: Result offset
            minimum: 0
          description: Result offset
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            minimum: 0
          description: Number of items to return
        - name: sortKeys
          in: query
          schema:
            type: array
            description: Key to sort by
            default:
              - createdDate
            x-constraint:
              single: true
            items:
              type: string
              enum:
                - createdDate
          description: Key to sort by
          style: form
          explode: true
        - name: sortOrder
          in: query
          schema:
            type: string
            description: Sort order
            default: ASC
            enum:
              - ASC
              - DESC
          description: Sort order
        - name: eventSid
          in: query
          schema:
            type: string
            description: Event SID
            pattern: ^ER[a-f0-9]{32}$
          description: Event SID
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionEventReportResponse'
components:
  schemas:
    SessionEventReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        results:
          $ref: '#/components/schemas/Model7'
    Model7:
      type: array
      items:
        $ref: '#/components/schemas/SessionEventItem'
    SessionEventItem:
      type: object
      properties:
        sid:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        appointmentDate:
          type: string
          nullable: true
        sessionType:
          type: string
          nullable: true
        courseTitle:
          type: string
          nullable: true
        examType:
          type: string
          nullable: true
        examTitle:
          type: string
          nullable: true
        sessionStatus:
          type: string
          nullable: true
        eventSid:
          type: string
          nullable: true
        eventTime:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        subject:
          type: string
          nullable: true
        details:
          type: string
          nullable: true
        potentialDamage:
          type: string
          nullable: true
        directWitness:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        correctiveActionDetails:
          type: string
          nullable: true
        contactPerson:
          type: string
          nullable: true
        contactEmail:
          type: string
          nullable: true
        contactPhone:
          type: string
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````